groovy.servlet

## Class ServletCategory

- java.lang.Object
- - groovy.servlet.ServletCategory

    public class ServletCategory
    extends java.lang.Object

Servlet support.

### Constructor Summary

Constructors
Constructor and Description
`ServletCategory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.Object` `get(javax.servlet.http.HttpSession session, java.lang.String key)`
`static java.lang.Object` `get(javax.servlet.jsp.PageContext context, java.lang.String key)`
`static java.lang.Object` `get(javax.servlet.ServletContext context, java.lang.String key)`
`static java.lang.Object` `get(javax.servlet.ServletRequest request, java.lang.String key)`
`static java.lang.Object` `getAt(javax.servlet.http.HttpSession session, java.lang.String key)`
`static java.lang.Object` `getAt(javax.servlet.jsp.PageContext context, java.lang.String key)`
`static java.lang.Object` `getAt(javax.servlet.ServletContext context, java.lang.String key)`
`static java.lang.Object` `getAt(javax.servlet.ServletRequest request, java.lang.String key)`
`static void` `putAt(javax.servlet.http.HttpSession session, java.lang.String key, java.lang.Object value)`
`static void` `putAt(javax.servlet.jsp.PageContext context, java.lang.String key, java.lang.Object value)`
`static void` `putAt(javax.servlet.ServletContext context, java.lang.String key, java.lang.Object value)`
`static void` `putAt(javax.servlet.ServletRequest request, java.lang.String key, java.lang.Object value)`
`static void` `set(javax.servlet.http.HttpSession session, java.lang.String key, java.lang.Object value)`
`static void` `set(javax.servlet.jsp.PageContext context, java.lang.String key, java.lang.Object value)`
`static void` `set(javax.servlet.ServletContext context, java.lang.String key, java.lang.Object value)`
`static void` `set(javax.servlet.ServletRequest request, java.lang.String key, java.lang.Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServletCategory

    public ServletCategory()

### Method Detail

#### get

    public static java.lang.Object get(javax.servlet.ServletContext context,
                                       java.lang.String key)

#### get

    public static java.lang.Object get(javax.servlet.http.HttpSession session,
                                       java.lang.String key)

#### get

    public static java.lang.Object get(javax.servlet.ServletRequest request,
                                       java.lang.String key)

#### get

    public static java.lang.Object get(javax.servlet.jsp.PageContext context,
                                       java.lang.String key)

#### getAt

    public static java.lang.Object getAt(javax.servlet.ServletContext context,
                                         java.lang.String key)

#### getAt

    public static java.lang.Object getAt(javax.servlet.http.HttpSession session,
                                         java.lang.String key)

#### getAt

    public static java.lang.Object getAt(javax.servlet.ServletRequest request,
                                         java.lang.String key)

#### getAt

    public static java.lang.Object getAt(javax.servlet.jsp.PageContext context,
                                         java.lang.String key)

#### set

    public static void set(javax.servlet.ServletContext context,
                           java.lang.String key,
                           java.lang.Object value)

#### set

    public static void set(javax.servlet.http.HttpSession session,
                           java.lang.String key,
                           java.lang.Object value)

#### set

    public static void set(javax.servlet.ServletRequest request,
                           java.lang.String key,
                           java.lang.Object value)

#### set

    public static void set(javax.servlet.jsp.PageContext context,
                           java.lang.String key,
                           java.lang.Object value)

#### putAt

    public static void putAt(javax.servlet.ServletContext context,
                             java.lang.String key,
                             java.lang.Object value)

#### putAt

    public static void putAt(javax.servlet.http.HttpSession session,
                             java.lang.String key,
                             java.lang.Object value)

#### putAt

    public static void putAt(javax.servlet.ServletRequest request,
                             java.lang.String key,
                             java.lang.Object value)

#### putAt

    public static void putAt(javax.servlet.jsp.PageContext context,
                             java.lang.String key,
                             java.lang.Object value)